# Uses of Class
org.opensaml.soap.client.SOAPFaultException

Packages that use SOAPFaultException
Package
Description
org.opensaml.soap.client.http
SOAP HTTP client functionality.

## Uses of SOAPFaultException in org.opensaml.soap.client.http

Methods in org.opensaml.soap.client.http that throw SOAPFaultException
Modifier and Type
Method
Description
`protected void`
HttpSOAPClient.`processFaultResponse(org.apache.hc.core5.http.ClassicHttpResponse httpResponse, InOutOperationContext context)`
Deprecated.
Process a SOAP fault, as determined by an HTTP 500 status code, response.